# $Revision: 1.9 $, $Date: 2010/07/08 08:51:24 $
Summary:	Mostly-transparent wrappers around another object
Summary(pl.UTF-8):	Prawie przezroczyste obudowywanie innych obiektów
Name:		Zope-Proxy
Version:	3.4.2
Release:	2
License:	ZPL 2.1
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/z/zope.proxy/zope.proxy-%{version}.zip
# Source0-md5:	ad51f25d4d86be7cfebb70bd77421f92
URL:		http://www.zope.org/
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	unzip
%pyrequires_eq	python-modules
Requires:	Zope-Interface
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Proxies are special objects which serve as mostly-transparent wrappers
around another object, intervening in the apparent behavior of the
wrapped object only when necessary to apply the policy (e.g., access
checking, location brokering, etc.) for which the proxy is
responsible.

%description -l pl.UTF-8
Proxy to specjalne obiekty służące jako prawie przezroczyste
obudowanie innego obiektu, wkraczające w zwykłe zachowanie
obudowywanego obiektu tylko w razie potrzeby, aby zastosować politykę
(np. kontrolę dostępu, pośredniczenie itp.), za którą odpowiada proxy.

%prep
%setup -q -n zope.proxy-%{version}

%build
export CFLAGS="%{rpmcflags}"
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python ./setup.py install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean
rm $RPM_BUILD_ROOT%{py_sitedir}/zope/proxy/*.[ch]
rm -r $RPM_BUILD_ROOT%{py_sitedir}/zope/proxy/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/zope/proxy
%{py_sitedir}/zope/proxy/*.cfg
%{py_sitedir}/zope/proxy/*.py[co]
%attr(755,root,root) %{py_sitedir}/zope/proxy/_zope_proxy_proxy.so
%{py_sitedir}/zope.proxy-*.egg-info
%{py_sitedir}/zope.proxy-*-nspkg.pth

# -devel?
#%{py_incdir}/zope.proxy

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-Proxy.spec,v $
Revision 1.9  2010/07/08 08:51:24  arekm
- release 2

Revision 1.8  2010/05/16 14:13:31  sparky
- BR: unzip

Revision 1.7  2008/12/09 03:36:14  wrobell
- use pypi uri
- ver. 3.4.2

Revision 1.6  2008/11/16 14:52:03  wrobell
- rel. 2

Revision 1.5  2008-01-04 23:15:49  qboosh
- use optflags
- files cleanup, .so perms

Revision 1.4  2008-01-04 22:47:44  qboosh
- pl
- python deps

Revision 1.3  2007-09-12 22:26:44  wrobell
- fixed/add url

Revision 1.2  2007/09/12 22:20:15  wrobell
- fixed summary/description/group and install requirements
- rel. 1

Revision 1.1  2007/09/10 17:58:06  wrobell
- based on Zope-Testing.spec
